summaryrefslogtreecommitdiff
path: root/debian/cabal-wrapper
diff options
context:
space:
mode:
authorGravatar Joey Hess <joeyh@joeyh.name>2015-08-04 12:25:06 -0400
committerGravatar Joey Hess <joeyh@joeyh.name>2015-08-04 12:25:06 -0400
commit9c9f7312bbf46c3069935fa190f5bba5ae62b348 (patch)
treecba8f247ebf80667f5b48a2e89b1c8f7f2090723 /debian/cabal-wrapper
parentfba5eba1076199c55b9a836e5cad44311d0b66d3 (diff)
Added back debian/cabal-wrapper, since it still seems needed after all.
Diffstat (limited to 'debian/cabal-wrapper')
-rwxr-xr-xdebian/cabal-wrapper20
1 files changed, 20 insertions, 0 deletions
diff --git a/debian/cabal-wrapper b/debian/cabal-wrapper
new file mode 100755
index 000000000..1326aead7
--- /dev/null
+++ b/debian/cabal-wrapper
@@ -0,0 +1,20 @@
+#!/bin/sh
+# It would be more usual to use:
+# export CABAL=./Setup
+# But Setup currently has a very bad dependency resolver, and very bad
+# debugging output, and tends to eat all memory and die on small buildds.
+#
+# This should be revisited once Debian has a newer ghc than 7.6.3,
+# and hopefully gets the improved dependency resolver from cabal.
+set -e
+
+# Avoid cabal writing to HOME, and avoid local cabal settings
+# influencing the build.
+HOME=$(mktemp -d)
+export HOME
+
+# Temporary workaround for #763078
+PATH=/usr/lib/llvm-3.4/bin:$PATH
+export PATH
+
+cabal "$@"